#include<stdio.h>
#include<stdlib.h>

int main()
{
    unsigned int a1,a2,i;
    char slova[3];
    scanf("%s", slova);
    scanf("%u %u", &a1,&a2);
    if(abs(a1-a2)>1)
    {
        printf("nemoguce");
    }
    else
    {
        if (a1==a2)
        {
          for(i=0;i<a1;i++)
          {
            printf("%s", slova);
          }  
        }
        if (a1>a2)
        {
            for(i=0;i<a2;i++)
          {
            printf("%s", slova);
          }
           printf("%c", *slova);
        }
        if (a1<a2)
        {
            printf("%c", *(slova+1));

            for(i=0;i<a1;i++)
          {
            printf("%s", slova);
          }
        }
    }
    return 0;
}